import QtQuick 1.1


Rectangle {
    id: separator

    x: 250
    width: 1
    color: Qt.darker(activePalette.window, 0.1)

    MouseArea {
        anchors.fill: parent

        anchors.leftMargin: -3
        anchors.rightMargin: -3

        hoverEnabled: true
        drag.target: separator
        drag.axis: Drag.XAxis
        drag.minimumX: 100
        drag.maximumX: separator.parent.width - 100

        onContainsMouseChanged: {
            var shape = (containsMouse || drag.active ? "hsplit" : "")
            Utils.set_cursor(shape)
        }
    }
}
