import QtQuick 1.1
import QtDesktop 0.1

MouseArea {
    id: dialog

    signal yesClicked
    signal noClicked

    hoverEnabled: true

    Rectangle {
        anchors.fill: parent
        radius: 5
        color: Qt.rgba(1,1,1,0.5)

        Column {
            spacing: 12
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter

            TextLabel {
                text: "Are you sure you want to remove this Source?"
                font.bold: true
                style: Text.Raised
                styleColor: Qt.rgba(1,1,1,0.4)
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Row {
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: 6

                Button {
                    text: "Yes"
                    onClicked: dialog.yesClicked()
                }

                Button {
                    text: "No"
                    onClicked: dialog.noClicked()
                }
            }
        }
    }
}
