import QtQuick 1.1


Row {
    spacing: 0
    height: children[1].height

    Item {
        width: children[0].paintedWidth + 6
        height: children[0].paintedHeight
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 3

        Text {
            text: Player.nice_playback_position_info
            font.pointSize: 8
            color: activePalette.text
        }
    }

    IconButton {
        anchors.verticalCenter: parent.verticalCenter

        icon: "../../../data/art/faenza/small/media-playlist-shuffle.svg"
        checked: Player.shuffle_active

        onClicked: {
            Player.set_shuffle(!checked)
        }
    }

    IconButton {
        anchors.verticalCenter: parent.verticalCenter

        icon: "../../../data/art/faenza/small/media-playlist-repeat.svg"
        checked: Player.repeat_active

        onClicked: {
            Player.set_repeat(!checked)
        }
    }
}
