import QtQuick 1.0

Image {
    id: pulse
    source: "../../../data/art/pulse.png"
    width: 20; height: width
    opacity: (1 - (width / 400)) * 0.25

    NumberAnimation on width {
        to: 400
        duration: 10000

        onRunningChanged: {
            if (!running) {
                pulse.destroy()
            }
        }
    }
}
