import QtQuick 1.1


Item {
    implicitWidth: label.paintedWidth
    implicitHeight: label.paintedHeight

    property alias text: label.text
    property string viewId: "lobby"

    Text {
        id: label
        text: "Music"
        opacity: viewId == currentView ? 1 : 0.675
        color: activePalette.text
        style: Text.Raised
        styleColor: "white"

        MouseArea {
            anchors.fill: parent
        //    hoverEnabled: true
            
            onClicked: currentView = viewId;
        }
    }
}
