import QtQuick 1.1
import QtDesktop 0.1


Item {
    height: 52

    anchors.bottom: parent.bottom
    anchors.left: parent.left
    anchors.right: parent.right

    PlaybackControlRibbon {
        id: playbackRibbon
        anchors.leftMargin: 6
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
    }

    PlaybackSelectorRibbon {
        id: selectorRibbon
        anchors.rightMargin: 6
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
    }

    NowPlayingInfo {
        id: nowPlayingInfo
        anchors.leftMargin: 12
        anchors.rightMargin: 12
        anchors.top: progressbar.bottom
        anchors.left: playbackRibbon.right
        anchors.right: selectorRibbon.left
    }

    PlaybackPositionBar {
        id: progressbar
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
    }
}
