import QtQuick 1.1


Row {
    spacing: 0

    Button {
        icon: {
            var mode = musicPlayer.current_selection_mode
            if (mode == "shuffled") {
                return "../../data/art/faenza/media-playlist-shuffle.svg"
            }
            else if (mode == "ascending") {
                return "../../data/art/faenza/view-sort-ascending.svg"
            }
            else {
                return "../../data/art/faenza/view-sort-descending.svg"
            }
        }

        anchors.verticalCenter: parent.verticalCenter

        onClicked: {
            musicPlayer.cycle_selection_mode()
        }
    }

    Button {
        icon: "../../data/art/faenza/media-playlist-repeat.svg"
        anchors.verticalCenter: parent.verticalCenter
    }
}
