import QtQuick 1.1


Rectangle {
    id: separator

    y: 250
    height: 1
    color: Qt.darker(activePalette.window, 0.1)

    MouseArea {
        anchors.fill: parent

        anchors.topMargin: -3
        anchors.bottomMargin: -3

        hoverEnabled: true
        drag.target: separator
        drag.axis: Drag.YAxis
        drag.minimumY: 100
        drag.maximumY: separator.parent.width - 100

        onContainsMouseChanged: {
            var shape = (containsMouse || drag.active ? "vsplit" : "")
            Utils.set_cursor(shape)
        }
    }
}
